Bug 143765 - Up2date progress bar is incorrect if cached packages exist
Up2date progress bar is incorrect if cached packages exist
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-27 05:43 EST by Suzuki Takashi
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:53:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzuki Takashi 2004-12-27 05:43:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
If there are already retrieved (cached) packages, 
total progress bar reaches to 100% too quickly.
Up2date seems to miscount total retrieved size.

In guy.py, 
while totalSelectedSize contains no cached packages,
cached packages are added to totalRetrievedSize unconditionally.


Version-Release number of selected component (if applicable):
up2date-gnome-4.3.53-1

How reproducible:
Always

Steps to Reproduce:
1. Up2date (There has to be more than 2 packages to be updated.)
2. After one package is retrieved, cancel up2date.
3. Restart up2date and continue download.

    

Actual Results:  Progress bar reaches to 100% after several packages
are retrieved, not all.

Expected Results:  Progress bar reaches to 100% when all the selected
packages are retrieved.

Additional info:
Comment 2 Jiri Pallich 2012-06-20 11:53:48 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.